首页 -> 安全研究

安全研究

安全漏洞
Google安卓媒体框架多个远程代码执行漏洞(CVE-2019-2027/CVE-2019-2028)

发布日期:2019-07-02
更新日期:2019-07-02

受影响系统:
Google Android 9.0
Google Android 8.1
Google Android 8.0
Google Android 7.1.2
Google Android 7.1.1
Google Android 7.0
描述:
BUGTRAQ  ID: 107676
CVE(CAN) ID: CVE-2019-2027/CVE-2019-2028

Android是一种基于Linux的自由及开放源代码的操作系统。主要使用于移动设备,如智能手机和平板电脑,由Google(谷歌)公司和开放手机联盟领导及开发。

CVE-2019-2027:在floor0.c的floor0_inverse1中,由于边界检查不正确,可能会出现越界限制。这可能导致远程代码执行,无需额外的执行权限。开发需要用户交互。
CVE-2019-2028:在libmpeg2中的许多手工制作的函数中,不保留NEON寄存器。这可能导致远程代码执行,无需额外的执行权限。开发需要用户交互。

攻击者可以利用这些问题在特权进程的上下文中执行任意代码。失败的攻击可能会导致拒绝服务。

<*链接:https://source.android.com/security/bulletin/2019-04-01.html
*>

建议:
厂商补丁:

Google
------
Google已经为此发布了一个安全公告(A-120612744, A-121145627,     A-122034690, A-119870451)以及相应补丁:
A-120612744, A-121145627,     A-122034690, A-119870451:Android Security Bulletin—April 2019
链接:https://source.android.com/security/bulletin/2019-04-01.html

补丁下载:

浏览次数:282
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障